MINOVAES - PRODUCT - Bug #862

[CUSTOMIZATION] Button Filter & Clear Filters
02/08/2022 04:16 PM - Kezia Pawitra Yulianti

Status: Closed Start date: 02/08/2022
Priority: Urgent Due date: 03/01/2022
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour

Description

Dear Team Developer,
mohon bantuannya untuk dapat menyempurnakan button filter & clear filter yang ada di menu customization sesuai captyre di bawah
ini

1. Berikut adalah button2 nya
Button search & Clear Filter

l Wage Type Definition

Action

capture di bawabh ini

07/05/2025

Search - Wage Type Definition

Start Date: Prorate Type: 9
End Date: Prorate Method:
Wage Type Definifion: Debit Acc:
Wage Type Definition Debit COA:
Desc:

Credit Acc:
Calculation Description:

Credit COA
Sequence:

SFT No.:
Grossup Seguence:; i

Is Active:
Wage Group:

Deduction:
Type: )

Deduction Percentage:
Regular:

‘Wage Type Generated:
Taxable:

WT Generated
Pre-Tax: Percentage:
Waluation: ‘Wage Type Foreign:
Owerwrite: ‘WT Foreign Conv Type:
Severance Pay: Motes:
Basze:
FPercentage: Create By
Tax Subsidy. Create Date:
Prorate 1: Changs By
Wagetype Authorization Change Date: i
Ernnmn

3. Jika sudah diperbesar akan muncul sesuai capture di bawah ini

Search Clear Filters

2. Saat klik button filter muncul pop up namun tulisan overlapp/menumpuk shg harus di perbesar pop up nya terlebih dahulu ssi
Search - Wage Type Definition

Start Date:
End Date:
Wage Type Definition:

Wage Type Definition
Desc:

Calculation Description:
Sequence:
Grossup Sequence:
Wage Group:

Type:

Regular:

Taxable:

Pre-Tax:

Valuation:
Ovenwrite:
Severance Pay:
Base:

FPercentage:

Tax Subsidy:
Prorate 1:

Wagetype Authorization
Group:

dan sudah berhasil terfilter sesuai pilihan

Prorate Type:

Prorate Method:

Debit Acc:

Debit COA:

Credit Acc:

Credit COA

SPT No.:

Is Active:

Deduction:

Deduction Percentage:
Wage Type Generated:

WT Generated
Percentage:

Wage Type Foreign:
WT Foreign Conv Type:

Motes:

Create By:
Create Date:
Change By:
Change Date:

4. Namun jika akan merubah isian filter kembali (dgn field berbeda) maka tidak bisa, pilihan pada fied awal akan tetap ada (tidak bisa

di hilangkan)
Search - Wage Type Definition

Start Date:
End Date:
Wage Type Definition;

Wage Type Definition
Desc:

Calculation Descripfion:

Sequence:

Grossup Sequence;

Wage Group: System
Type: Nett
Regular:

Taxable:

Pre-Tax:

Valuation:

Cvenwrite:

Severance Pay:

Base:

Percentage: 0
Tax Subsidy:

Prorate 1:

Wagetype Authorization
Group:

Mohon perbaikannya ya.

Terima kasih

Prorate Type:

Prorate Method:

Debit Acc:

Debit COA:

Credit Acc:

Credit COA:

SPT Mo.:

Is Active:

Deduction:

Deduction Percentage:
VWage Type Generated:

WT Generated
Percentage: 0

VWage Type Foreign:
WT Forgign Conv Type:

Motes:

Create By:
Create Date:
Change By:
Change Date:

-

Diharapkan fungsi filter ini bisa digunakan untuk seluruh menu customization lainnya

5. Jika akan menggunakan button clear filter, inipun tidak berhasil karena pilihan filter di awal tetap akan muncul dan result nya pun
tetap akan sama (tidak ada clear filter sama sekali) dan tidak ada respon saat button clear filter di klik

History

#1 - 02/08/2022 04:17 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 02/09/2022 03:22 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Kezia Pawitra Yulianti

ada tambahan fungsi clear search pada page
...\app\view\customization\searchform.js
tugasnya untuk menghapus field yang di search

untuk button clear filter adalah fungsi untuk menghapus filter pada tampilan grid nya

dan ada tambahan di file
...\scripts\mdgenerator.js startting line 2068

text: 'Clear Filters',

tooltip: 'Clear all filters',

name: 'clearbtn',

handler: function () {
var tolbar = this.up()
var grid_ = tolbar.up/()
grid_.filters.clearFilters()
//SASWANTO 09 FEB 2022
$( "#button-1345-btnIconEl" ) .click();
$( "#button-1090-btnIconEl" ).click();

#3 - 09/13/2022 05:09 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Closed

sudah di port demo juga

Tks

Files

clipboard-202202081606-s1gfh.png 45.8 KB 02/08/2022 Kezia Pawitra Yulianti

clipboard-202202081607-5y3m2.png 8.45 KB 02/08/2022 Kezia Pawitra Yulianti

clipboard-202202081609-oncmr.png 46.7 KB 02/08/2022 Kezia Pawitra Yulianti
